@import (reference) 'settings';


//
// Standard, vertical, non-weird forms
//

.form {
  max-width: 40rem;

  .form-errors {
    margin: 0;
    padding: 0;

    li {
      color: @form-error-color;
      font-weight: bold;
      list-style-position: inside;
      margin: 0;
    }
  }

  .row {
    margin-bottom: 1rem;
  }

  label {
    // Keep label from being larger than its inner text
    display: table;
  }

  button,
  input,
  select,
  textarea {
    display: block;
  }

  // TODO - this list is incomplete
  input:not([type]),
  input[type="text"],
  input[type="password"],
  input[type="email"],
  input[type="tel"],
  input[type="number"],
  input[type="search"],
  input[type="datetime"],
  input[type="datetime-local"],
  input[type="url"],
  textarea {
    width: 100%;
  }
}
